[unixODBC-support] Invalid statement

Nick Gorham nick.gorham at easysoft.com
Thu Nov 4 14:41:17 GMT 2004


Rodrigo Carvalhaes wrote:

> Hi !
>
> On our company we use a commercial application that is using unixODBC 
> to connect PostgreSQL.
> On postgreSQL log, I am always seeing the statement below:
>
> 2004-11-04 10:35:34 ERROR:  unrecognized configuration parameter "ksqo"
> STATEMENT:  set ksqo to 'ON'
>
> The producer of the software is saying that they are not sending any 
> ksqo "set" and that this is something wrong with the unixODBC. Anyone 
> knows something about this? I know that ksqo it's an old query 
> optimizer method, for old PostgreSQL versions... I am using PostgreSQL 
> 7.4.6
>
> Cheers (and thanks!)


You need a more up-to-date version of the postgres driver. Get the one 
from the postgres distribution, build with --with-unixODBC and it should 
be fine.

-- 
Nick



More information about the unixODBC-support mailing list